This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 846604 - 3.2 - [bootstrap] Time jumps back and forward in logs during boostrap installation (do not set time if ntpd is running)
3.2 - [bootstrap] Time jumps back and forward in logs during boostrap install...
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.1.2
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.2.0
Assigned To: Douglas Schilling Landgraf
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 04:43 EDT by Gadi Ickowicz
Modified: 2016-02-10 14:28 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-18 07:28:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm bootstrap installation log (37.28 KB, application/octet-stream)
2012-08-08 04:43 EDT, Gadi Ickowicz
no flags Details

  None (edit)
Description Gadi Ickowicz 2012-08-08 04:43:42 EDT
Created attachment 602965 [details]
vdsm bootstrap installation log

Description of problem:
In the bootstrap installation logs of a host, the timestamps of sequential entries jump back and then forward again. The host has ntp configured, however its clock is back in the boostrap. A few entries later the time jumps back forward.

Wed, 08 Aug 2012 10:33:22 DEBUG    ['/usr/sbin/hwclock', '-s']
Wed, 08 Aug 2012 10:27:58 DEBUG
Wed, 08 Aug 2012 10:27:58 DEBUG
Wed, 08 Aug 2012 10:27:58 DEBUG    setHostTime end. Return:True
Wed, 08 Aug 2012 10:27:58 DEBUG    <BSTRAP component='SET_SYSTEM_TIME' status='OK' message='setSystemTime ended successfully'/>
Wed, 08 Aug 2012 10:27:58 DEBUG    ['/sbin/service', 'cpuspeed', 'stop']
Wed, 08 Aug 2012 10:27:58 DEBUG
-----------------------------snip-------------------------------------------
ed, 08 Aug 2012 10:27:58 DEBUG    ['/usr/bin/openssl', 'req', '-new', '-key', '/etc/pki/vdsm/keys/vdsmkey.pem', '-config', '/tmp//req_1be959df-e608-47fe-9d0c-77bf9bf5fffb.conf', '-out', '/tmp//cert_1be959df-e608-47fe-9d0c-77bf9bf5fffb.req']
Wed, 08 Aug 2012 10:27:58 DEBUG
Wed, 08 Aug 2012 10:27:58 DEBUG
Wed, 08 Aug 2012 10:27:58 DEBUG    ['/usr/bin/openssl', 'dhparam', '-out', '/etc/pki/vdsm/keys/dh.pem', '2048']
Wed, 08 Aug 2012 10:33:32 DEBUG
Wed, 08 Aug 2012 10:33:32 DEBUG    Generating DH parameters, 2048 bit long safe prime, generator 2



Version-Release number of selected component (if applicable):
vdsm-4.9.6-26.0.el6_3.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Add a host with ntp to rhevm
2. SET_SYSTEM_TIME is run. 
  
Actual results:
Time may be inconsistent with NTP time

Expected results:
SET_SYSTEM_TIME should not run on a host with ntp

Additional info:
vdsm logs attached
Comment 3 Douglas Schilling Landgraf 2012-08-09 16:21:24 EDT
Patch:
http://gerrit.ovirt.org/#/c/7070/
Comment 4 Dan Kenigsberg 2012-08-10 09:36:14 EDT
The fact that ntpd is running does not mean that there is no lag in host time. It may make sense to avoid the sync - but only if ntp reports that we are on time already.

Note that I think that the proper solution is to requiring ntpd on the Engine, too.
Comment 5 Amador Pahim 2012-08-10 15:06:51 EDT
Engine rpm is already requiring ntp. Additionally we can check ntp during engine-setup (i'm working here).
Comment 7 Alon Bar-Lev 2013-01-15 11:09:20 EST
Barak,

Why otopi?

This is legacy issue.

Alon

Note You need to log in before you can comment on or make changes to this bug.